#ifndef LOC_FILE_H
#define LOC_FILE_H
/****************************************************************************
*
* $RCSfile: File.h $
* $Revision: 2.5 $
* $Date: 2004/08/17 22:08:50 $
* $Author: ssolie $
*
*****************************************************************************
*
* Copyright (c) 2004 Steven Solie.  All Rights Reserved.
*
*****************************************************************************
*
* File component
*
* Each File object represents an AmigaDOS file.
*/

#include "Main.h"

#include <dos/dos.h>


class File {
public:
    File();
    ~File();
	void open(const char* name, int32 mode);
	int32 readString(char* buffer, uint32 size);
	uint32 getLength() const;
	uint32 getProtection() const;
private:
	BPTR m_handle;
	FileInfoBlock* m_info;
};


#endif
